Intercom

Integrate your application with the Intercom API

🚀 Quickstart

Connect to Intercom with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Intercom.

Authorize Intercom

Go to Connections -> Add Test Connection -> Authorize, then log in to Intercom. Later, you'll let your users do the same directly from your app. Tenklo doesn't provide a test OAuth app for Intercom yet. You'll need to set up your own by following these instructions. After that, make sure to add the OAuth client ID, secret, and scopes in the integration settings in Tenklo.

Call the Intercom API

Let's make your first request to the Intercom API (fetch current admin information). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/me" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Intercom Integration Guides

Tenklo maintained guides for common use cases.

Official docs: Intercom API documentation

🧩 Pre-built syncs & actions for Intercom

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
attach-contact-to-companyAssociate a contact with a company.Action🔗 Github
close-conversationClose an open conversationAction🔗 Github
create-articleCreate a Help Center article.Action🔗 Github
create-companyCreate a company in Intercom.Action🔗 Github
create-contactCreate a contact (user or lead) in Intercom.Action🔗 Github
create-conversationStart a new conversation.Action🔗 Github
create-noteAdd an internal note to a contactAction🔗 Github
create-tagCreate a new tagAction🔗 Github
delete-articleDelete a Help Center articleAction🔗 Github
delete-companyDelete a company by ID.Action🔗 Github
delete-contactDelete a contact by IDAction🔗 Github
detach-contact-from-companyRemove a contact's association with a company.Action🔗 Github
get-adminRetrieve an admin by ID.Action🔗 Github
get-articleRetrieve a Help Center article by ID.Action🔗 Github
get-companyRetrieve a company by ID.Action🔗 Github
get-contactRetrieve a contact by ID.Action🔗 Github
get-conversationRetrieve a conversation by ID.Action🔗 Github
list-adminsList all admins in the workspace.Action🔗 Github
list-articlesList Help Center articles with pagination.Action🔗 Github
list-companiesList companies with cursor-based pagination.Action🔗 Github
list-company-contactsList contacts attached to a company.Action🔗 Github
list-contactsList contacts with cursor-based pagination.Action🔗 Github
list-conversationsList conversations with cursor-based pagination.Action🔗 Github
list-help-center-collectionsList top-level Help Center collections.Action🔗 Github
list-notesList internal notes for a contact.Action🔗 Github
list-tagsList all tags in the workspace.Action🔗 Github
merge-contactsMerge a lead into a user contact.Action🔗 Github
reopen-conversationReopen a closed conversation.Action🔗 Github
reply-to-conversationAdd a reply or internal note to a conversationAction🔗 Github
search-contactsSearch contacts with a structured filter query.Action🔗 Github
search-conversationsSearch conversations with a structured filter queryAction🔗 Github
send-messageSend an outbound message to a contact.Action🔗 Github
snooze-conversationSnooze a conversation until a given timestamp.Action🔗 Github
tag-companiesApply a tag to one or more companiesAction🔗 Github
tag-contactsApply a tag to one or more contactsAction🔗 Github
tag-conversationApply a tag to a conversation.Action🔗 Github
untag-contactsRemove a tag from one or more contactsAction🔗 Github
untag-conversationRemove a tag from a conversationAction🔗 Github
update-articleUpdate a Help Center articleAction🔗 Github
update-companyUpdate mutable fields on an existing companyAction🔗 Github
update-contactUpdate mutable fields on an existing contact.Action🔗 Github
update-conversationUpdate mutable properties on a conversation such as custom attributes or read statusAction🔗 Github
adminsSync admin users from IntercomSync🔗 Github
articlesSync Help Center articles from IntercomSync🔗 Github
companiesSync company records from Intercom.Sync🔗 Github
contactsSync contacts (users and leads) from Intercom.Sync🔗 Github
conversation-partsSync conversation messages (parts) from IntercomSync🔗 Github
conversationsSync conversations from IntercomSync🔗 Github
help-center-collectionsSync Help Center collections and sections from Intercom.Sync🔗 Github
segmentsSync contact segments from Intercom.Sync🔗 Github
tagsSync tags from IntercomSync🔗 Github

On this page